Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/credits/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"amount": 63
}'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/credits/apply"
payload = { "amount": 63 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 63})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/orders/{publicOrder}/credits/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "6ef85076-4519-3e5b-8402-b642a4bebe76",
"status": "draft",
"placed_at": "2025-11-21T07:55:20.0000000+00:00",
"expires_at": "2026-03-11T14:05:31.0000000+00:00",
"sub_total": {
"currency": "USD",
"amount": "9187.00",
"amount_minor": 918700
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"tax_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"credits_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"total": {
"currency": "USD",
"amount": "9187.00",
"amount_minor": 918700
},
"remaining_total": {
"currency": "USD",
"amount": "9187.00",
"amount_minor": 918700
},
"total_before_tax": {
"currency": "USD",
"amount": "9187.00",
"amount_minor": 918700
},
"tax_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Tax",
"name": "some-tax",
"rate": 10,
"calculator_type": "percent"
}
],
"discount_breakdown": [
{
"amount": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"code": "Test Discount",
"name": "some-discount",
"rate": 10,
"calculator_type": "percent"
}
]
}
}Apply Credits to Order
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Must be at least 0.
63
Show child attributes